package com.caimei365.wechat.entity;

/**
 * Description
 *
 * @author : Charles
 * @date : 2022/1/13
 */
public class WeChatConstant {
    /**
     * 服务器配置 -令牌(Token)
     */
    public static final String TOKEN = "caimei";
    /**
     * 消息类型：文本
     */
    public static final String MESSAGE_TYPE_TEXT = "text";
    /**
     * 消息类型：图片
     */
    public static final String MESSAGE_TYPE_IMAGE = "image";
    /**
     * 消息类型：音频
     */
    public static final String MESSAGE_TYPE_VOICE = "voice";
    /**
     * 消息类型：视频
     */
    public static final String MESSAGE_TYPE_VIDEO = "video";
    /**
     * 消息类型：音乐
     */
    public static final String MESSAGE_TYPE_MUSIC = "music";
    /**
     * 消息类型：图文
     */
    public static final String MESSAGE_TYPE_NEWS = "news";
    /**
     * 消息类型：链接
     */
    public static final String MESSAGE_TYPE_LINK = "link";
    /**
     * 消息类型：地理位置
     */
    public static final String MESSAGE_TYPE_LOCATION = "location";
    /**
     * 消息类型：事件推送
     */
    public static final String MESSAGE_TYPE_EVENT = "event";
    /**
     * 消息类型：转发到客服
     */
    public static final String MESSAGE_TYPE_TRANSFER = "transfer_customer_service";
    /**
     * 事件类型：subscribe(订阅)
     */
    public static final String EVENT_TYPE_SUBSCRIBE = "subscribe";
    /**
     * 事件类型：unsubscribe(取消订阅)
     */
    public static final String EVENT_TYPE_UNSUBSCRIBE = "unsubscribe";
    /**
     * 事件类型：CLICK(自定义菜单点击事件)
     */
    public static final String EVENT_TYPE_CLICK = "CLICK";
    /**
     * 事件类型：LOCATION(上报地理位置事件)
     */
    public static final String EVENT_TYPE_LOCATION = "LOCATION";
    /**
     * 事件类型：SCAN(扫描事件)
     */
    public static final String EVENT_TYPE_SCAN = "SCAN";
    /**
     * xml节点
     */
    public static final String FROM_USER_NAME = "FromUserName";
    public static final String TO_USER_NAME = "ToUserName";
    public static final String MSG_TYPE = "MsgType";
    public static final String CONTENT = "Content";
    public static final String EVENT = "Event";
    public static final String EVENT_KEY = "EventKey";
    public static final String LONGITUDE = "Longitude";
    public static final String LATITUDE = "Latitude";
    public static final String PRECISION = "Precision";
}
